%define ver     4.0.1
%define lsbver	4.0
# build for LSB 3.0 (bug 2327) 
%define build_target 3.0

Summary: LSB Build environment lsbcc package
Name: lsb-build-cc
Version: %ver
Release: 1
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-cc-%ver.tar.gz
BuildRoot: /var/tmp/lsb-build-cc-root
AutoReqProv: no
# Does not strictly require lsb
#PreReq: lsb >= 3.1
Requires: lsb-build-base
Obsoletes: lsbdev-cc
BuildRequires: lsb-build-base

%description

This package provides lsbcc, which is one of the approaches that can be used
to build LSB conforming applications.

%prep
%setup -q

%build
# (sb) bug 2487 - we need to bootstrap the build on systems without lsbcc
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}
mv lsbdev-cc/lsbcc .
mv lsbdev-cc/lsbc++ .
make clean
# now rebuild using our just-built binaries
make CC=../lsbcc CXX=../lsbc++ LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} LSBCC_LSBVERSION=%build_target
%ifarch ppc
make -C lsbdev-cc/crti
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-cc
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-cc
%ifarch ppc 
for i in $RPM_BUILD_ROOT/opt/lsb/lib*; do install lsbdev-cc/crti/crti.o "$i"; done
%endif

# (sb) bug 2202, let lib{64}-CURRENT be a symlink to lib{64}, 
# owned by lsb-setup, this needs to be tweaked for a new LSB version
# lib{64}-CURRENT is in lsb-build-base
%ifarch ppc64 s390x x86_64
  mv $RPM_BUILD_ROOT/opt/lsb/lib64-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib64
%else
  mv $RPM_BUILD_ROOT/opt/lsb/lib-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/lsb*
%dir /opt/lsb/doc/lsb-build-cc
/opt/lsb/doc/lsb-build-cc/*
%ifarch ppc64 s390x x86_64
  /opt/lsb/lib64*/*
%else
  /opt/lsb/lib*/*
%endif
/opt/lsb/man/man1/lsbc*.1

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- be specific with %%files list

* Wed Jun 4 2008 Denis Silakov <silakov@ispras.ru>
- Support for multiversion libs

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

